import React from "react";
import acceleratorIcon from "!!svg-sprite-loader!../src/icons/accelerator-icon.svg";
import acceleratorLogo from "!!svg-sprite-loader!../src/icons/accelerator-logo.svg";
import cloudbeesInfinityColor from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-color.svg";
import cloudbeesInfinityWhite from "!!svg-sprite-loader!../src/icons/cloudbees-infinity-white.svg";
import cloudBeesPride from "!!svg-sprite-loader!../src/icons/cloudbees-logo-pride.svg";
import jenkinsSupportLogo from "!!svg-sprite-loader!../src/icons/cloudbees-jenkins-support-logo.svg";
import jenkinsXLogo from "!!svg-sprite-loader!../src/icons/cloudbees-jenkins-x-logo.svg";
import cloudbeesLogoColor from "!!svg-sprite-loader!../src/icons/cloudbees-logo-color.svg";
import cloudbeesLogoWhite from "!!svg-sprite-loader!../src/icons/cloudbees-logo-white.svg";
import codeshipIcon from "!!svg-sprite-loader!../src/icons/codeship-icon.svg";
import codeshipLogo from "!!svg-sprite-loader!../src/icons/codeship-logo.svg";
import coreIcon from "!!svg-sprite-loader!../src/icons/core-icon.svg";
import coreLogo from "!!svg-sprite-loader!../src/icons/core-logo.svg";
import devopticsIcon from "!!svg-sprite-loader!../src/icons/devoptics-icon.svg";
import devopticsLogo from "!!svg-sprite-loader!../src/icons/devoptics-logo.svg";
import flowIcon from "!!svg-sprite-loader!../src/icons/flow-icon.svg";
import flowLogo from "!!svg-sprite-loader!../src/icons/flow-logo.svg";
import rolloutIcon from "!!svg-sprite-loader!../src/icons/rollout-icon.svg";
import rolloutLogo from "!!svg-sprite-loader!../src/icons/rollout-logo.svg";
import starterKitIcon from "!!svg-sprite-loader!../src/icons/starter-kit-icon.svg";
import starterKitLogo from "!!svg-sprite-loader!../src/icons/starter-kit-logo.svg";

const icons = [
  {
    iconName: "accelerator-icon.svg",
    svg: acceleratorIcon,
    width: 70
  },
  {
    iconName: "accelerator-logo.svg",
    svg: acceleratorLogo,
    width: 200
  },
  {
    iconName: "cloudbees-infinity-color.svg",
    svg: cloudbeesInfinityColor,
    width: 70
  },
  {
    iconName: "cloudbees-infinity-white.svg",
    svg: cloudbeesInfinityWhite,
    width: 70,
    className: "bg-primary"
  },
  {
    iconName: "cloudbees-jenkins-support-logo.svg",
    svg: jenkinsSupportLogo,
    width: 70
  },
  {
    iconName: "cloudbees-jenkins-x-logo.svg",
    svg: jenkinsXLogo,
    width: 70
  },
  {
    iconName: "cloudbees-logo-color.svg",
    svg: cloudbeesLogoColor,
    width: 200
  },
  {
    iconName: "cloudbees-logo-white.svg",
    svg: cloudbeesLogoWhite,
    width: 200,
    className: "bg-primary"
  },
  {
    iconName: "cloudbees-logo-pride.svg",
    svg: cloudBeesPride,
    width: 200
  },
  {
    iconName: "codeship-icon.svg",
    svg: codeshipIcon,
    width: 70
  },
  {
    iconName: "codeship-logo.svg",
    svg: codeshipLogo,
    width: 200
  },
  {
    iconName: "core-icon.svg",
    svg: coreIcon,
    width: 70
  },
  {
    iconName: "core-logo.svg",
    svg: coreLogo,
    width: 200
  },
  {
    iconName: "devoptics-icon.svg",
    svg: devopticsIcon,
    width: 70
  },
  {
    iconName: "devoptics-logo.svg",
    svg: devopticsLogo,
    width: 200
  },
  {
    iconName: "flow-icon.svg",
    svg: flowIcon,
    width: 70
  },
  {
    iconName: "flow-logo.svg",
    svg: flowLogo,
    width: 200
  },
  {
    iconName: "rollout-icon.svg",
    svg: rolloutIcon,
    width: 70
  },
  {
    iconName: "rollout-logo.svg",
    svg: rolloutLogo,
    width: 200
  },
  {
    iconName: "starter-kit-icon.svg",
    svg: starterKitIcon,
    width: 70
  },
  {
    iconName: "starter-kit-logo.svg",
    svg: starterKitLogo,
    width: 200
  }
];

export default () => {
  return (
    <div className="m-5">
      <h2>CloudBees specific icons:</h2>
      <div className="container">
        <div className="row my-5">
          {icons.map(icon => {
            return (
              <div className={`col-3 my-5`}>
                <div
                  style={{ height: 100 }}
                  className={icon.className ? icon.className : undefined}
                >
                  <svg width={icon.width ? icon.width : 100} viewBox={`${icon.svg.viewBox}`}>
                    <use xlinkHref={`#${icon.svg.id}`} />
                  </svg>
                </div>
                <div>{icon.iconName}</div>
              </div>
            );
          })}
        </div>
      </div>
    </div>
  );
};
